Package net.shibboleth.spring.security.credential

# Class AbstractCredentialParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.spring.security.credential.AbstractCredentialParser

All Implemented Interfaces:
  `BeanDefinitionParser`

Direct Known Subclasses:
  `AbstractBasicCredentialParser`, `AbstractX509CredentialParser`

public abstract class AbstractCredentialParser extends AbstractCustomBeanDefinitionParser
Base parser for all <Credential> elements.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`CREDENTIAL_ELEMENT_NAME`
<Credential>.
`static final QName`
`KEY_NAME_ELEMENT_NAME`
<KeyName>.

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractCredentialParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element element, ParserContext parserContext, BeanDefinitionBuilder builder)`
`protected void`
`parseAttributes(Element element, BeanDefinitionBuilder builder)`
Parse the credential element attributes.
`protected void`
`parseKeyNames(List<Element> keyNameElems, BeanDefinitionBuilder builder)`
Parses the key names from the credential configuration.
`protected String`
`resolveId(Element element, AbstractBeanDefinition definition, ParserContext parserContext)`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClass, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CREDENTIAL_ELEMENT_NAME

@Nonnull public static final QName CREDENTIAL_ELEMENT_NAME
<Credential>.

### KEY_NAME_ELEMENT_NAME

@Nonnull public static final QName KEY_NAME_ELEMENT_NAME
<KeyName>.

## Constructor Details

### AbstractCredentialParser

public AbstractCredentialParser()

## Method Details

### resolveId

@Nonnull @NotEmpty protected String resolveId(@Nonnull Element element, @Nonnull AbstractBeanDefinition definition, @Nonnull ParserContext parserContext)

Overrides:
  `resolveId` in class `AbstractBeanDefinitionParser`

### doParse

protected void doParse(@Nonnull Element element, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `AbstractSingleBeanDefinitionParser`

### parseAttributes

protected void parseAttributes(@Nonnull Element element, @Nonnull BeanDefinitionBuilder builder)
Parse the credential element attributes.

Parameters:
  `element` - credential element
  `builder` - bean definition builder

### parseKeyNames

protected void parseKeyNames(@Nullable List<Element> keyNameElems, @Nonnull BeanDefinitionBuilder builder)
Parses the key names from the credential configuration.

Parameters:
  `keyNameElems` - the elements to parse
  `builder` - credential build